change logs from talend
2023-10-8 qiongli TDQ-21334: Enable SSL support for Metadata Oracle 18 Custom

2023-3-1 msjian TDQ-20993: Removal of binary dependency libraries from source and rename jars

2022-06-24 yyin TDQ-19618: add surpport for Object[] in MapDBDataset and related SqlexplorerService. 

2021-09-26 qiongli TDQ-19478: fix preview General Jdbc connection on TOS-DQ

2019-06-28 msjian TDQ-17205: revert some of above

2019-06-18 msjian + sizhao TDQ-17204: remove the net.sourceforge.sqlexplorer.oracle fragment and its related classes

2019-05-21 msjian TDQ-16793: fix "Create Table Script" failed run for mysql

2019-03-5 msjian TDQ-15236: Upgrade to Eclipse 4.10.x
Enable some sqlExplorer embeded features (Oracle Query Explain Plan, displayTriggers...)

2019-03-01 qiongli TDQ-16642: Can preview unsigned int

2019-02-22 yyin TDQ-16413 preview table which has bigint unsigned columns

2019-01-28 msjian TDQ-15236: Upgrade to Eclipse 4.10.x

2019-01-14 msjian TDQ-16020: fix the jdbc connection get red cross

2019-01-03 chaoMeng TUP-21339: Eclipse upgrade - TOS need to work with eclipse 4.10.0

2018-08-17 qiongli TDQ-15264: disable some composite when user is readonly;
For read-only user,remove menu on a view of overview analysis;
For read-only user,remove some menus;
disable save button in sqlExplore editor.

2018-01-22 qiongli TDQ-14655: support TCOMP database

2017-01-04 msjian bug TDQ-7460: fix a NPE

2016-11-16 msjian bug TDQ-11887: fix hive(hdp20 at least) database can view index/keys well

2016-09-27 msjian bug TDQ-12617: fix the NPE when view keys/index for mssql overview

2016-8-29 msjian bug TDQ-12005: fix Exasol database can view index/keys well

2016-8-24 xqliu bug TDQ-12451 Impala connection can not do Preview

1. from https://github.com/Talend/tdq-studio-se/commits/master/main/plugins/net.sourceforge.sqlexplorer
======================================
2016-1-25 qiongli  feature TDQ-11495 Redesign analysis editors. Replace the running guy by a green run icon.
------------------------------------------------------------------------------------------------------------- 

2014-11-26 qiongli bug TDQ-9533 Need to put a limit or limit by default the preview of tables in DQ respository
append "limit x" in sql query for vertica database.
------------------------------------------------------------------------------------------------------------- 

2014-11-25 qiongli bug TDQ-9756:Studio switch workspace failed cause of early loading of cwm.management bundle
delete 2 consumers xml(sqlexplore.xml and mapdb.xml),replace it with java code.
--------------------------------------------------------------------------------------------------------------

2014-11-7 qiongli bug TDQ-9692:The "Connections" view opens up when I do "Data Preview" on a table
Only open the connections view when the current perspective is SQLExplorer perspective.
---------------------------------------------------------------------------------------------------------------

Commits on Oct 16, 2014

    zshen-talend

    fixed bug TDQ-9498 unify compile enviroment on the tdq-stdio-se
    zshen-talend authored a day ago

Commits on Sep 30, 2014

    Liu Xinquan

    TDQ-9492 "view keys" and "view index" function in overview anlaysis g… …
    xqliu-talend authored 17 days ago

Commits on Sep 29, 2014

    Liu Xinquan

    TDQ-9492 "view keys" and "view index" function in overview anlaysis g… …
    xqliu-talend authored 18 days ago

Commits on Sep 28, 2014

    zshen-talend

    TDQ-9504 when analysis is java engine, job with tDqReportRun can not run …
    zshen-talend authored 19 days ago

Commits on Sep 25, 2014

    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 22 days ago
    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 22 days ago

Commits on Sep 24, 2014

    msjian

    TDQ-9488: fix the export csv get error
    msjian authored 23 days ago
    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 23 days ago
    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 23 days ago

Commits on Sep 23, 2014

    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 24 days ago
    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 24 days ago

Commits on Sep 22, 2014

    msjian

    Merge branch 'feature/TDQ-9405_improve_mapdb' into maintenance/5.6
    msjian authored 25 days ago
    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored 25 days ago

Commits on Sep 17, 2014

    Liu Xinquan

    TDQ-9378 Make TOS DQ compatible with Apache license …
    xqliu-talend authored on 17 Sep
    zshen-talend

    TDQ-9405: commit for drill down and remove nebula pagation …
    zshen-talend authored on 17 Sep
    msjian

    TDQ-9441: remove org.talend.libraries.mapdb dependency from the …
    msjian authored on 17 Sep

Commits on Sep 16, 2014

    msjian

    TDQ-9441: fix some code issues
    msjian authored on 16 Sep

Commits on Sep 15, 2014

    qiongli

    TDQ-9411 1.Support to preview on MSSQL with sso mode. 2.code refactor.
    qiongli authored on 15 Sep
    msjian

    TDQ-9414:fix export csv failed by fix a NPE
    msjian authored on 15 Sep

Commits on Sep 03, 2014

    zshen-talend

    TDQ-8788 Add mapDB and pagination libraries.
    zshen-talend authored on 3 Sep
    zshen-talend

    TDQ-8788 Improve the memory management of the java engine computation …
    zshen-talend authored on 3 Sep

Commits on Aug 04, 2014

    qiongli

    TDQ-9245 get original value for context mode.
    qiongli authored on 4 Aug

Commits on Jun 22, 2014

    sgandon

    [GIT Migration] Refactor main,test and i18n plugins and features for … …
    sgandon authored on 22 Jun 



2. from http://talendforge.org/trac/top/log/trunk/net.sourceforge.sqlexplorer
======================================
		Rev 			Chgset 		Date 								Author 		Log Message
		@117724 	[117724] 	05/21/14 05:53:05 	qiongli 	TDQ-8893 code refactor: 1.no need to handler 'default_drver.xml' to …
		@117144 	[117144] 	05/06/14 11:03:57 	xqliu 	Fix Bug TDQ-8827 save source file dialog from the preview table editor …
		@116998 	[116998] 	04/29/14 10:17:26 	qiongli 	Fix Bug TDQ-8769 : preview function can not get exact correct result with …
		@116951 	[116951] 	04/28/14 09:44:07 	msjian 	TDQ-8535: fix the View Database Structure can not show table and view for …
		@116597 	[116597] 	04/18/14 12:28:01 	zshen 	Fix Work Item TDQ-8833 Support Profiling with Vertica 7 TDQ-8865 …
		@115457 	[115457] 	03/25/14 17:58:55 	mhirt 	Update copyright to 2014
		@115148 	[115148] 	03/18/14 09:28:32 	xqliu 	Fix Bug TDQ-8377 Technical - Refine commit of TDQ-8068 Support hive …
		@114307 	[114307] 	02/21/14 11:10:01 	msjian 	TDQ-8661: fix the hsql preview get error and refact some code
		@113584 	[113584] 	01/22/14 10:56:13 	msjian 	TDQ-8463: fixed when in frence envirement do drill down get error
		@112879 	[112879] 	01/02/14 09:40:50 	msjian 	TDQ-8072: fix error when save the sql file and refact some code
		@111240 	[111240] 	11/21/13 05:09:14 	xqliu 	Fix New Feature TDQ-8068 : Support hive profiling for MapR 3.0 …
		@110656 	[110656] 	11/08/13 04:09:15 	qiongli 	TDQ-8067 make preview work well for HDP2.0 with hive2 standlone.
		@109594 	[109594] 	10/18/13 09:40:24 	scorreia 	TDQ-8191 synchronization of swtbot messages.properties
		@107910 	[107910] 	09/12/13 15:12:56 	mhirt 	Fix bug TUP-1013 : Add eclipse.inf to all plugins in top repository
		@107227 	[107227] 	08/28/13 10:28:15 	qiongli 	TDQ-7318 use 'resultSet.getDate(int)' for Date type,instead of …
		@107062 	[107062] 	08/26/13 05:21:10 	qiongli 	TDQ-7821: update the called method name 'getJarPath(...)'.
		@107023 	[107023] 	08/23/13 12:00:48 	qiongli 	TDQ-7821 TDQ-2104 use same API with retrieve connection when add driver …
		@106852 	[106852] 	08/21/13 08:58:16 	qiongli 	Fix Backlog Task TDQ-7312 : Fix the driver not found issue. …
		@105492 	[105492] 	07/22/13 05:19:56 	yyin 	TDQ-7289: close the report editor without save, some items still be saved …
		@105264 	[105264] 	07/15/13 12:45:27 	msjian 	TDQ-7422: make the warning message path correctly
		@104531 	[104531] 	06/26/13 09:42:50 	qiongli 	Fix Bug TDQ-7205 : backport to trunk.
		@104065 	[104065] 	06/20/13 04:24:10 	xqliu 	Fix Bug TDQ-7401 : Data explorer perspective issues …
		@103428 	[103428] 	05/28/13 05:54:47 	msjian 	TDQ-7368: fixed a NPE
		@103310 	[103310] 	05/24/13 10:09:40 	msjian 	TDQ-5927: fix the preview table fuction for sqlserver connection which no …
		@103240 	[103240] 	05/23/13 12:15:13 	scorreia 	TDQ-7104 synchronize Default properties files with English files
		@102927 	[102927] 	05/17/13 11:56:01 	scorreia 	TDQ-7104 TOS-DQ default properties files synchronized with Babili + …
		@102259 	[102259] 	05/06/13 08:52:20 	msjian 	TDQ-7100: unify the items' display name both in the DQ Repository view and …
		@101982 	[101982] 	04/27/13 12:04:48 	msjian 	TDQ-7171: update the use driver version from …
		@101953 	[101953] 	04/27/13 06:03:13 	msjian 	TDQ-6830: fix a NPE at DatabaseStructureView?.java:455
		@101794 	[101794] 	04/24/13 12:51:13 	jyhu 	Fix Work Item TDI-25649: Revert the code on commit version …
		@101783 	[101783] 	04/24/13 11:20:47 	jyhu 	Share project "org.talend.core" into …
		@101782 	[101782] 	04/24/13 11:20:18 	jyhu 	Share project "org.talend.designer.components.bigdata" into …
		@101781 	[101781] 	04/24/13 11:18:44 	jyhu 	Share project "net.sourceforge.sqlexplorer" into …
		@101691 	[101691] 	04/23/13 09:57:13 	msjian 	TDQ-5927: fix error "preview table of sqlite, show error dialog" and also …
		@101447 	[101447] 	04/18/13 10:57:58 	yyin 	TDQ-6823 fix: do NOT show the index whose type = statistic.(make the …
		@101083 	[101083] 	04/12/13 05:44:27 	yyin 	TDQ-6823: "view key" and "view indiex" in explorer sometimes can not get …
		@100896 	[100896] 	04/09/13 12:30:38 	xqliu 	TDQ-6823 resolve the complie error
		@100883 	[100883] 	04/09/13 11:38:37 	yyin 	TDQ-6823: "view key" and "view indiex" in explorer sometimes can not get …
		@100846 	[100846] 	04/09/13 09:22:50 	xqliu 	TUP-629 resolve the problem that can't create mysql connection …
		@100766 	[100766] 	04/08/13 11:08:41 	xqliu 	TUP-629 remove the dependency on the plugin …
		@100680 	[100680] 	04/05/13 18:06:41 	sizhaoliu 	TDQ-7078 TDQ-6965 Manage i18n for component mode
		@100594 	[100594] 	04/03/13 11:00:40 	xqliu 	TDQ-7003 call HiveConnectionManager?.createConnection() method to create …
		@100340 	[100340] 	03/28/13 05:21:15 	xqliu 	TDQ-6484 use DynamicClassLoader? for hive embedded
		@98957 	[98957] 	03/01/13 08:01:59 	wchen 	feature TUP-502 added:Need to reuse a maximum of orbit libraries
		@98931 	[98931] 	03/01/13 02:33:08 	wchen 	feature TUP-502 added:Need to reuse a maximum of orbit libraries
		@97706 	[97706] 	02/02/13 02:13:30 	sizhaoliu 	TDQ-6617 TDQ-6817 Merge org.talend.commons into org.talend.core.runtime …
		@96909 	[96909] 	01/16/13 14:40:44 	scorreia 	TDQ-6468 cast to String required by compiler added
		@96899 	[96899] 	01/16/13 11:15:19 	zshen 	TDQ-6468 upgrade the hive libraries to 0.9.0
		@96655 	[96655] 	01/10/13 13:45:34 	mhirt 	Update copyright to 2013
		@94553 	[94553] 	11/28/12 15:22:16 	mzhao 	TDQ-6160 Profiling hive feature in embedded mode.
		@93594 	[93594] 	11/12/12 10:27:18 	qiongli 	TDQ-6166 fix the last two issues in the comment(xwang and me).
		@93335 	[93335] 	11/07/12 05:29:18 	zshen 	TDQ-6356 upgrate jtds.jar from 1.2 to 1.2.5 to resolve getSchema is user …
		@92350 	[92350] 	10/18/12 10:03:34 	yyin 	TDQ-6167 support unsupported db using General JDBC , after adding this …
		@91888 	[91888] 	10/10/12 11:43:41 	xqliu 	TDQ-6096 TDQ-6277 modify the driver class name for Ingres
		@90786 	[90786] 	09/17/12 11:20:27 	xqliu 	TDQ-5381 TDQ-6133 1) modify Median.definition; 2) create …
		@90759 	[90759] 	09/17/12 08:02:39 	cli 	TDI-21185: change the technical name for local and svn project.
		@90142 	[90142] 	09/04/12 12:13:11 	qiongli 	TDQ-5898 TDQ-5965 pop a message dialog when unfold column on odbc teradata …
		@90113 	[90113] 	09/04/12 10:59:35 	xqliu 	TDQ-5453 TDQ-6059 1) fix this problem; 2) on trunk
		@89630 	[89630] 	08/24/12 08:02:20 	qiongli 	TDQ-5898 TDQ-5965:avoid NPE for ODBC Teradata connection.
		@88874 	[88874] 	08/09/12 11:12:00 	msjian 	TDQ-5953 (TDQ-5952): we should close connections always on trunk
		@88749 	[88749] 	08/07/12 11:42:10 	qiongli 	TDQ-5950 TDQ-5907 make DQ support hive connection and column analysis run …
		@88081 	[88081] 	07/25/12 14:00:15 	xqliu 	merge r88036 from branch 5.1 to trunk TDQ-5853 TDQ-5892 1) revert the …
		@84875 	[84875] 	06/06/12 19:52:43 	sizhaoliu 	TDQ-5453 fixed: sql source file does not exist after I click on save …
		@84712 	[84712] 	06/05/12 11:54:30 	yyi 	TDQ-5460 : Fix getString of JConnector(sybase).
		@81834 	[81834] 	04/17/12 12:13:46 	sizhaoliu 	merge r81687 from branch 4.2 to trunk TDQ-5042 fixed: avoid empty result …
		@81806 	[81806] 	04/17/12 09:55:48 	yyi 	TDQ-5117:Change get string to get bytes for mess decode in tables.
		@81040 	[81040] 	04/05/12 18:30:31 	sizhaoliu 	fixed TDQ-4958 : in the sql editor click "save as" pop-up error, can not …
		@81000 	[81000] 	04/05/12 11:47:07 	sizhaoliu 	merge r80887 from branch 4.2 to trunk fixed TDQ-5070 : Encoding issue …
		@80778 	[80778] 	03/31/12 11:10:51 	qiongli 	TDQ-4773 TDQ-5032 Optimize code(avoid NPE for junit test).
		@80754 	[80754] 	03/31/12 06:16:28 	qiongli 	TDQ-5032 TDQ-4773:Optimize code(avoid NPE for junit test).
		@77218 	[77218] 	01/24/12 02:07:00 	mhirt 	Update copyright to 2012
		@72936 	[72936] 	11/23/11 08:11:17 	cli 	bug TDI-18621 fixed: add the new version key talend.studio.version for …
		@72052 	[72052] 	11/10/11 10:33:14 	xqliu 	TDQ-3689 analysis run failed with db2 z/os connection
		@69477 	[69477] 	10/09/11 05:06:21 	zwzhao 	bug TDI-17597 fixed : tSQLite fails Out of Memory when trying to guess …
		@64253 	[64253] 	07/13/11 05:43:05 	zshen 	bug 20716: add externalizing the strings.
		@63379 	[63379] 	06/27/11 11:47:33 	xqliu 	bug 22065: backport on trunk
		@62196 	[62196] 	06/13/11 07:05:28 	gdbu 	bug 21854 : Externalize the string.
		@62005 	[62005] 	06/09/11 12:05:46 	gdbu 	bug 21854 : Cause of the error and bug18975 similar.
		@60018 	[60018] 	05/09/11 08:58:21 	yyi 	bug 20716 fixed:remove quotes for Sybase ASE query
		@59551 	[59551] 	04/29/11 12:10:01 	gdbu 	bug 20960 : I can not reproduce this error, but found another error, and …
		@59300 	[59300] 	04/27/11 05:13:28 	mzhao 	bug 20905: externalize the strings into the messages.properties
		@59283 	[59283] 	04/26/11 16:21:29 	scorreia 	fixed a compilation error
		@59086 	[59086] 	04/25/11 06:06:20 	qiongli 	bug 20205:fixed: save as a file under user creating folder.
		@58968 	[58968] 	04/21/11 09:36:36 	gdbu 	bug 19539 : modify 'readme.txt'
		@58957 	[58957] 	04/21/11 08:57:55 	qiongli 	bug 20205:fixed the "Save Editor as" button can not create file under …
		@58934 	[58934] 	04/21/11 05:29:43 	xqliu 	bug 20530: don't let username and password be null
		@58908 	[58908] 	04/20/11 13:43:46 	gdbu 	bug 18975 : Create a special database container (provided we have to fill …
		@58576 	[58576] 	04/15/11 04:20:37 	gdbu 	bug 20578 : I added the catch is also flawed, so fix it again
		@58464 	[58464] 	04/13/11 14:58:51 	gdbu 	bug 20578 : 1. The schema can be used when create odbc(oracle) ; 2. fix …
		@57853 	[57853] 	04/02/11 05:29:28 	gdbu 	bug 19539: fix on v4.2
		@56872 	[56872] 	03/17/11 13:01:41 	gdbu 	bug 19539: To ensure the same encryption method with TOP's other modules, …
		@56666 	[56666] 	03/15/11 04:04:53 	gdbu 	bug 19539: I make a mistake of braces in the wrong place , sorry .
		@56659 	[56659] 	03/15/11 02:48:47 	gdbu 	bug 19539:change 'Required Plug-ins' state in plugin.xml
		@56642 	[56642] 	03/14/11 11:06:43 	gdbu 	bug 19539: Only the password is encrypted, the encryption method used …
		@54933 	[54933] 	02/11/11 02:17:13 	mhirt 	Change copyright to 2011
		@52295 	[52295] 	12/07/10 08:25:12 	zshen 	bug 17291: fixed a exception when sort data in sql engin.
		@52145 	[52145] 	12/03/10 05:05:35 	yyi 	bug 17143 fixed:Remove the error message of Cannot get database version
		@50586 	[50586] 	10/27/10 09:19:15 	qiongli 	bug 16349: Deleted connection still visible and accessable in Connection …
		@49239 	[49239] 	09/30/10 04:34:48 	klliu 	bug 14742: recognize the Netezza regular expressions
		@49068 	[49068] 	09/28/10 10:30:44 	zshen 	bug 15760: views Schema do not appear in TOS repo when retreived in TOP …

some change details:
======================================
2010-06-01 klliu Data explorer perspective display error 
---------------------------------------------------------------------------------------
In this case you must check "messages.properties" in "net.sourceforge.sqlexplorer\src",and 
you can find the about oracle's bundle key.

NOTE: Add the content of "text.properties" to "messages.properties", the path of  "text.properties" like so:
\lib\net.sourceforge.sqlexplorer.oracle_3.5.0.jar\net\sourceforge\sqlexplorer\oracle\text.properties


2010-7-2 qiongli bug 13093:the function in Data Explorer for view the information of data structure not work well 
---------------------------------------------------------------------------------------------------
The method in class of "net.sourceforge.sqlexplorer.plugin.views.DatabaseStructureView" has been modified:
1.Delete the condition : 'if(_tabFolder == null)'
2.Add line 379 to 388: select correct item as active item.

2011-4-21qiongli bug 20205: the "Save Editor as" button can not create file under "Sourse file" 
---------------------------------------------------------------------------------------------------
1.Add a extension named 'saveAs'
2.Add Pacake 'service',contain:2 interface (ISaveAsService,IService) and a class GlobalServiceRegister.java.
3.Modify method createIFile of class SQLTextEditor.we should create propery file and item file by model.

2011-4-21 gdbu bug 19539 : unecrypted passwords in workspace\.metadata\.plugins\net.sourceforge.sqlexplorer
---------------------------------------------------------------------------------------------------
1. modified class 'AliasManager' : create method to get decrypt password.
2. modified class 'User' : line 110 , chenge to get encrypt password.
3. modified 'MANIFEST.MF' : add org.talend.model and org.talend.utils

2011-6-9 gdbu bug 21854 : TOP gives an error with Oracle db connection when viewing profiled data
---------------------------------------------------------------------------------------------------
1.  modified class 'EDriverName' : Repair the product on the jdbc-oracle's driver class support problems.

2012-8-6 qiongli feature TDQ-5907 Enable Hive profiling 
---------------------------------------------------------------------------------------------------
1.  modified default_drivers.xml : Add a driver tag with Hive.
2.  modified class EDriverName  : Add driver information for Hive.
3.  modified class ExecutionResultImpl  : modified line 107,HivePreparedStatement dosenot support method 'getResultSet()'.
4.  modified fiel MANIFEST.MF  : add plugin dependencies with 'org.talend.libraries.apache.hive'.

2012-11-12 qiongli TDQ-6166 Deleted connections still show up in Connections view
1.modified class User : line 288. Avoid ConcurrentModificationException,repalce for with Iterator while
2.modified fiel MANIFEST.MF : add plugin dependencies with 'org.talend.core.runtime'.
3.modified class SQLExplorerPlugin : Add a variable 'isInitedAllConnToSQLExpl' to judge if init all connections for SQLExploere.

//mzhao feature 11110, remove not used jars from sourceforge sqlexplorer 
commons-logging.jar  
log4j.jar


3.5.0.RC5 - John Spackman, Zenesis Ltd
======================================
+. Fixed problem with creating Oracle triggers
+. Fixed problem with closing running queries
+. Fixed problem with detecting query types with GRANT statement (Oracle only)
+. ConnectionsView is now sorted alphabetically, both for aliases and users within aliases
+. Fixed bug where DSView could crash after connection was closed
+. Meta data now is now loaded only once per alias/user, shares connection with DSView
+. Fixed bug where font preference was ignored 
+. Fixed bug where JDBC drivers which do not require a username/password could not be
	configured.
+. Fixed bug where NullPointerException could occur if SQLHistory references alias/user 
	which no longer exists


3.5.0.RC4 - John Spackman, Zenesis Ltd
======================================
+. Fixed missing column headings in column detail tab view
+. Upgraded to Squirrel CVS head
+. Worked around problem with recycle bin tables in Oracle causing cursor leaks


3.5.0.RC3 - John Spackman, Zenesis Ltd
======================================
+. Getting the extra, RDBMS-specific description info for connections could cause
	a permissions exception; exceptions are handled and quietly suppressed.
+. Fixed issue where CallableStatement can only be used for stored code in some
	JDBC drivers (eg MySQL).  This caused error messages regarding "cannot get
	code for FUNCTION *".  Also fixed problem where calls to commit or rollback
	are not allowed when in auto-commit mode.
+. Fixed bug where catalog was not restored to pooled connections
+. Last used editor session did not work
+. Summary status message should only appear at the end of all queries
+. Changes to force password dialog on top of "login in progress" dialog
+. DSView is automatically opened when the first connection is established
+. Fixed (hopefully - can't reproduce) NPE while loading meta data on DB2


3.5.0.RC2 - John Spackman, Zenesis Ltd
======================================
+. Fixed bug where connections were not closed even when removed from the connections view
+. Upgraded to current SquirrelSQL library to fix cursor leaks; this affected
	ColumnInfoTab, CreateTableScriptAction, TableNode
+. Fixed bug where creating a new alias would cause an exception if starting for the
	first time
+. Fixed bug where you couldn't add a new JDBC driver
+. Fixed bug where a) max-rows was ignored, and b) changed it to handle the count manually
	instead of via Statement.setMaxRows() because of problems with some RDBMSs (eg MSSQL
	when creating triggers)
+. Fixed bug where editor toolbar save button always did a save-as outside the project, even
	if it had already been saved and given a name
+. Always add an overall update count/rows returned status message after all queries are 
	complete (to make it more obvious that the query has done its work)
+. All connections processes take place in the background
+. Fixed bug where cannot create Oracle triggers because ":old" and ":new" are seen as named 
	parameters
+. Fixed bug where if connection cannot be established while switching sessions, the session 
	drop down shows the not-connected session but stills sits on the old
+. Added RDBMS-specific connection descriptions to ConnectionsView, and whether a it is a 
	pooled connection or not
+. Fixed bug where changing the selected alias/session should not scroll the editor to top of 
	the file
+. Whenever a new editor opens from a project its connection now defaults the most recently 
	selected alias/user from an editor toolbar.
+. Double-click on a user in the connections view opens a new editor
+. Close All Connections and Close Connection in the ConnectionsView will now close connections
	which are in use by non-auto-commit editors; the user is warned, and can choose to set a 
	default answer
+. Fixed bug where server messages were not being collected
+. When a query fails and the problem is described in a popup, move the text caret of the editor 
	to the line/char where the error occured
+. Show slightly more of the SQL in the messages tab
+. Fixed bug where opening a file (from a project) without the ConnectionsView open caused an 
	exception
+. When opening from a project and there are no connections defined, show the connections view 
	and prompt the user to add some.
+. Added various buttons to ConnectionsView toolbar
+. Added "Open Database Structure View" right click option to connections view & toolbar and 
	changed the tabs to be able to individually closed.
+. Fixed bug where filtering did not work in the database structure view


3.5.0.RC1 - John Spackman, Zenesis Ltd
======================================
+. Fixed StringIndexOutOfBoundsException when processing some named parameters
+. Fixed bugs with named parameters where a) support of JDBCv3 was accidentally excluded, b) multiple cursors in a single query were not supported, c) if parameters were used more than once in a single query they were reported back more than once
+. Changed result tab titles for output parameters
+. Fixed bug in Oracle where compound error messages have the first details excluded from the Messages tab
+. Fixed bug in Oracle where line numbers in anonymous pl/sql blocks are not processed properly
+. Fixed bug where named parameters might not show the output value if referenced more than once; also supported the case where output parameters are referenced more than once and therefore have multiple output values.
+. Drivers:
	+. Fixed bug where "Extra Class Path" jars were doubled up each time the preferences was saved.
	+. Validate the ok button after list drivers
	+. If there is an error while connecting, the message is now [more] descriptive
	+. Sort the drivers drop down in connections editor
	+. Create connection only shows valid drivers
	+. Can add/edit drivers from "Edit Connection Profile" page
+. Connections which are closed by the server are detected and re-established next time the connection is used (you should receive one error message about closed connection etc, but the next time you execute all is well)
+. Added auto-commit and commit-on-close to SQL Editor toolbar
+. Fixed caching bug in ImageUtil (se bug report 1627113)


3.5.0.beta2 - John Spackman, Zenesis Ltd
========================================
* Fixed StringIndexOutOfBounds bug in parser
* Fixed Oracle query parser bug where "declare" was not handled properly, plus a few other 
	associated bugs, eg NullPointerException in comments, etc etc
* Fixed bug where DDL commands which caused a SQLException did not record line number info
* Added preference to not log "Success" messages in Messages Tab
* Fixed cannot close result tab by clicking "x"
* Use ResultSetMetaData to get precision & scale for numerical values, and made them right 
	justified.  Note changes to DataSet.
+. Fixed bad title in Export to Excel
+. Fixed bug where compile errors in Oracle could be duplicated
+. Added PostgreSQL plugin back in
+. Connections view now breaks down into alias -> user -> sessions & connections; connections 
	view API; drivers & aliases saved using custom code rather than the JavaBeans style given by
	SquirrelSQL; 
+. History stored as XML rather than custom text format (changes reqd for multiple users)
+. Editors will refuse to run more than one query at a time, and toolbar is disabled during query
	execution
+. Fixed bug where numbers with a high precision (17 or more) were truncated
+. Added support for multiple result sets returned from a single query
+. Added support for named input & output parameters, including Oracle cursors
+. SQL History now records all queries, including those that failed - this allows the user to see 
	which query caused an error
+. When saving untitled (i.e. scratch) files, SE now prompts the user to ask whether these should
	be saved within a project or in the filing system; Eclipse pretty much requires a project in 
	order to work properly so this is a good workaround.  The user can choose to set a default and
	not be asked again.
+. Document JSE versions, making Eclipse use JSE5 even if you're developing for 1.4, etc
+. Adjusted the perspective so that it includes the project explorer, and has a little rearranging
+. Fixed OracleXE login problem
+. NanoXml was not being used, so I removed it in favour of DOM4J
+. AbstractSQLExecution now inherits from Job, for better progress feedback and integration 
	with Eclipse thread management


3.5.0.beta1 - John Spackman, Zenesis Ltd
========================================
SQL Editor
* The separate SqlResultsView has been removed and the query results are now part of 
	the editor that executed them (they appear as tabs in the bottom part of the editor 
	view
* Messages from the database server are now checked for and retrieved after each query,
	and then added to a Messages tab (attached to the editor next to the result tabs).
	The line/column that caused the error is recorded and clicking on a row in the
	Messages tab takes you to the line/character that caused the error
* You no longer need to use special separator characters to break up your SQL code
	(currently this is only supported on Oracle but other databases can be relatively 
	easily added).
* Structured Comments are a new feature which allow you embed instructions to SQLExplorer
	in your SQL scripts.  This can be used for conditional compilation and for macro
	expansion (you'll recognise this straight away if you've previously used C/C++),
	but future versions will support asking the user questions, data type overriding,
	importing, exporting, and client-side scripting with JavaScript.  Because the commands
	are disguised in comments this facility will NOT make your script incompatable with 
	other tools.
* New preferences for:
	a) Clear result tabs on execute
	b) Use long captions on result tabs
	c) Stop processing queries when an error is found
	d) prompt to save modified editors when closing
* Prompt to save files before closing (optional - see preferences)
* Added support for opening files from Eclipse, I.E. via a Project
* Basic online help - this is based on the website plus documentation of new features
* There is a new DatabaseProduct class which can optionally be implemented by a database
	fragment to extend the data types supported and the query parser cabailities (see online 
	help)
* There are new general-purpose QueryParser and Tokenizer classes for reading SQL and Structured 
	Comments.
* Database-specific extensions are required to abstract database specific components which
	do not easily fit into the Eclipse plugin architecture (see DatabaseProduct).
* Added Structured Comments for macros, conditional compilation, and other scriptable 
	functionality without compromising compatability with other, standard SQL tools (this
	can be disabled in preferences).
* Refactored the Preference pages, simplifying the code and extracting commonality
* DataSet now uses reflection to determine data types; there is partial implementation of
	additional datatypes at the moment - work here was stalled and will be completed soon.
* Drivers are loaded by the ClassLoader of the database extension




2006.09.01 - 2006.XX.XX v3.0.1 Enhancements - Davy Vanherbergen
==========================================================
* new preference to choose if new editor should be opened when connection is opened.




2006.01.01 - 2006.08.31 v3.0.0 Enhancements - Davy Vanherbergen
==========================================================
General
* dropped support for hibernate plugin
* dropped support for schema visualizer
* dropped experimental edit table data feature
* sql explorer can now run as a standalone RCP application
* updated logo & icons
* connection info view removed, information has been added as detail of database node
* background processing for dictionary loading
* removed deprecated methods
* Connection dialog is now resizable
* moved all image definitions into properties file
* database connecting is now cancellable
* database connection can now run in background

SQL History
* only successfull queries are stored
* sql history is now persistent
* on opening history in editor correct connection is set to editor or created if desired
* clear all now prompts for confirmation
* doubleclick on entry in history opens sql in editor
* DEL key now removes entry from list
* added multi-line tooltip for sql
* added icons to context actions
* added timestamp column to sql history
* added text search capability to sql history
* history autosaves based after 15 statements (defined in preferences.ini)
* added action bar

Database Structure
* split of database structure view into database structure view and database detail view
* reimplemented database structure view nodes to support lazy loading and caching
* new eclipse extension point for database structure view context action
* new eclipse extension point for database structure view node
* easy filtering of catalog/schema nodes (right-click and select add to filter)
* added preference option to select whether columns should be visible in the database structure view
* improved the generate select action to allow column selection to generate sql

Database Detail
* new detailtab manager that supports caching and lazy loading of tabs
* new eclipse extension point for database detail tabs
* same detail tab remains selected between nodes
* added 'commit on close' property to connection info tab

DataSet
* new eclipse extension point for datasettable context menu
* column find feature in table (CTRL-F) to scroll table to given column name
* dataset table can be navigated with arrow keys
* columns in dataset table are moveable
* when datasettable widget is active, it can be refreshed by pressing F5
* dates can be formatted based on setting in preferences.ini
* moved formatting of rows to parent class to reduce numbers of objects created
* changed table to virtual table to improve rendering performance
* F5 refreshes table
* added csv, xls and html export options

SQL Results
* sql query is displayed on sql result tabs
* SQL statement is displayed when hovering over the different result tabs (with wrapping)
* sql result tabs no longer renumber when a tab is closed
* after an SQL is executed, the results pane now automatically focusses on the last results.
* sqlCompositeResultViewer replaced by DataSetTable
* sql statements can now be cancelled
* background processing for queries
* when result table is selected, F5 re-executes sql

SQL Editor
* query/comment delimiters can now be set in preferences
* sqltable has been dropped and replaced by new datasettable that is used for detail tabs and sql results
* save as functionality in sql editor has been fixed
* file open dialog now allows loading of multiple files into editor
* removed save prompt when sql editor is closed
* ad-hoc override of sql result set limit in sql editor
* autowrap is now available and enabled by default. Can be changed in preferences.
* action bar is now resizable coolbar with extension point for new actions

Connection view
* when new connection is made, a new SQL editor is automatically opened
* view merged with Alias View

Driver view
* view removed

Preferences
* added driver preferences
* added option to restore the default drivers
* added option to set default driver in preferences.ini

Alias view
* added autologon option in alias
* merged with connections view

Plugins
* all plugin extensions are no longer compatible with the new codebase



2006.01.02 UI enhancements - Davy Vanherbergen
==========================================================
- updated alias view to use standard toolbar
- update some icons
- moved about action to help menu + updated logo

2005.12.31 Enhancement to SQL History/SQL Panel  -  Davy Vanherbergen
===========================================================
- removed linefeed characters from SQL History
- added wrapping to tooltips on SQL Panel

2005.12.30 Enhancement to SQL Editor
===========================================================
- file open dialog now allows loading of multiple files into editor

2005.12.30 Enhancements to driver view  -  Davy Vanherbergen
===========================================================
- doubleclick on driver opens 'modify driver' dialog
- filter to show only loaded drivers
- option to restore the default drivers

2005.12.27 Bug fix 1391442  -  Davy Vanherbergen
===========================================================
- Fixed a focus problem when the connection info and connections view are in the same view pane.

2005.12.16 Implemented Request 1246961  -  Davy Vanherbergen
===========================================================
- added filtering of database metadata information.
- added autologon setting in alias

2005.12.16 Implemented Request 1382429  -  Davy Vanherbergen
===========================================================
- sql history remains available between sessions

2005.12.16 Implemented Request 1237618  -  Davy Vanherbergen
===========================================================
- removed save prompt when sql editor is closed

2005.12.16 Impemented Request 1277760 / Fixed Bug 1233626  -  Davy Vanherbergen
===========================================================
- SQL statement is displayed when hovering over the different result tabs
- after an SQL is executed, the results pane now automatically focusses on the last results.